## erlang-p1-zlib 1.0.0

=== Makefile ===
all: src

src:
	rebar compile

clean:
	rebar clean

test:
	rebar eunit

.PHONY: clean src test

## erlang-p1-zlib 0.2014.05.06

=== debian/changelog ===
erlang-p1-zlib (0.2014.05.06-1) unstable; urgency=medium

  * Imported Upstream version 0.2014.05.06
  * Added use of dpkg-buildflags to debian/rules

 -- Philipp Huebner <debalance@debian.org>  Wed, 14 May 2014 11:29:50 +0200

erlang-p1-zlib (0.2013.12.09-2) unstable; urgency=medium

  * Add correct Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Sat, 10 May 2014 12:58:52 +0200

erlang-p1-zlib (0.2013.12.09-1) unstable; urgency=low

  * Initial release, see #744885 for background

 -- Philipp Huebner <debalance@debian.org>  Wed, 16 Apr 2014 18:34:07 +0200

=== debian/control ===
Source: erlang-p1-zlib
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, zlib1g-dev
Standards-Version: 3.9.5
Section: libs
Homepage: https://github.com/processone/zlib


Package: erlang-p1-zlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: erlang interface to zlib
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


include /usr/share/dpkg/pkg-info.mk


DESTDIR=$(CURDIR)/debian/erlang-p1-zlib


%:
	dh $@ --buildsystem=rebar --with rebar


override_dh_auto_configure:
	./configure
	dh_auto_configure


override_dh_auto_install:
	dh_auto_install
	for file in priv/lib/*.so ; do \
		fname=$$(basename $${file}) ; \
		subdir=$$(dirname $${file}) ; \
		if [ ! -f $(DESTDIR)/usr/lib/erlang/lib/p1_zlib-$(DEB_VERSION_UPSTREAM)/$${subdir}/$${fname} ] ; then \
			install -m 755 -d $(DESTDIR)/usr/lib/erlang/lib/p1_zlib-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_zlib-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
		fi ; \
	done


override_dh_auto_clean:
	rm -f config.log config.status
	dh_auto_clean

## erlang-p1-zlib 0.2015.02.23

=== debian/changelog ===
erlang-p1-zlib (0.2015.02.23-2) unstable; urgency=medium

  * Enabled eunit
  * Fixed debian/copyright (make lintian happy)

 -- Philipp Huebner <debalance@debian.org>  Mon, 17 Aug 2015 17:16:28 +0200

erlang-p1-zlib (0.2015.02.23-1) unstable; urgency=medium

  * Imported Upstream version 0.2015.02.23
  * Updated Standards-Version: 3.9.6 (no changes needed)
  * Updated years in debian/copyright
  * Added Vcs links to debian/control

 -- Philipp Huebner <debalance@debian.org>  Sat, 02 May 2015 19:03:41 +0200

## erlang-p1-zlib 1.0.0

=== debian/changelog ===
erlang-p1-zlib (1.0.0-1) unstable; urgency=medium

  * Imported Upstream version 1.0.0
  * Updated debian/copyright
  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Sat, 16 Jan 2016 12:47:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: erlang-p1-zlib
 Priority: optional
 Maintainer: Philipp Huebner <debalance@debian.org>
-Build-Depends: debhelper (>= 9), dh-rebar, zlib1g-dev
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), dh-rebar, erlang-eunit, erlang-syntax-tools, zlib1g-dev
+Standards-Version: 3.9.6
 Section: libs
 Homepage: https://github.com/processone/zlib
-
+Vcs-Git: git://anonscm.debian.org/users/debalance/erlang-p1-zlib.git
+Vcs-Browser: https://anonscm.debian.org/cgit/users/debalance/erlang-p1-zlib.git
 
 Package: erlang-p1-zlib
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,7 @@
 #!/usr/bin/make -f
-# -*- makefile -*-
-
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-# Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-
-include /usr/share/dpkg/pkg-info.mk
-
+include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-zlib

=== debian/watch ===
version=3
opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/erlang-p1-zlib_$1.tar.gz/" \
  https://github.com/processone/zlib/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## erlang-p1-zlib 1.0.1

=== debian/changelog ===
erlang-p1-zlib (1.0.1-4~bpo7+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Mon, 13 Mar 2017 21:43:35 +0100

erlang-p1-zlib (1.0.1-4) unstable; urgency=medium

  * Added erlang-base to Build-Depends

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Oct 2016 15:58:01 +0200

erlang-p1-zlib (1.0.1-3) unstable; urgency=medium

  * Build-Depend on erlang-crypto (fixes FTBFS)

 -- Philipp Huebner <debalance@debian.org>  Wed, 07 Sep 2016 12:15:00 +0200

erlang-p1-zlib (1.0.1-2) unstable; urgency=medium

  * Improved debian/watch
  * Updated Standards-Version: 3.9.8 (no changes needed)
  * Enabled hardening

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jun 2016 14:49:44 +0200

erlang-p1-zlib (1.0.1-1) unstable; urgency=medium

  * ProcessOne renamed zlib to ezlib
  * Imported Upstream version 1.0.1
  * Updated Vcs-* fields in debian/control
  * Updated Standards-Version: 3.9.7 (no changes needed)
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 14 Feb 2016 15:08:56 +0100

=== debian/control ===
Source: erlang-p1-zlib
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:17.3), erlang-crypto, erlang-eunit, erlang-syntax-tools, zlib1g-dev
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/processone/ezlib
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-zlib.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-zlib.git

Package: erlang-p1-zlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:17.3) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: erlang interface to zlib
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
+#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-zlib

## erlang-p1-zlib 1.0.2

=== debian/changelog ===
erlang-p1-zlib (1.0.2-1~bpo8+1) jessie-backports-sloppy; urgency=medium

  * Rebuild for jessie-backports-sloppy.

 -- Philipp Huebner <debalance@debian.org>  Mon, 18 Sep 2017 07:51:13 +0200

erlang-p1-zlib (1.0.2-1) unstable; urgency=medium

  * Updated Standards-Version: 4.0.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Tue, 11 Jul 2017 19:08:10 +0200

erlang-p1-zlib (1.0.2-1~exp1) experimental; urgency=medium

  * New upstream version 1.0.2
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 15 Apr 2017 14:48:01 +0200

=== debian/control ===
Source: erlang-p1-zlib
Priority: optional
Maintainer: Philipp Huebner <debalance@debian.org>
Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-crypto, erlang-eunit, erlang-syntax-tools, zlib1g-dev
Standards-Version: 4.0.0
Section: libs
Homepage: https://github.com/processone/ezlib
Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-zlib.git
Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-zlib.git

Package: erlang-p1-zlib
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: erlang interface to zlib
 This library was written for ejabberd which still uses it.
 It was split off into it's own project to follow
 Erlang/OTP guidelines.

## erlang-p1-zlib 1.0.3

=== debian/changelog ===
erlang-p1-zlib (1.0.3-2) unstable; urgency=medium

  * Set Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
  * Set Uploaders: Philipp Huebner <debalance@debian.org>
  * Updated Vcs-* fields in debian/control for salsa.debian.org
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.1.3 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Jan 2018 11:38:05 +0100

erlang-p1-zlib (1.0.3-1) unstable; urgency=medium

  * New upstream version 1.0.3
  * (Build-)Depend on erlang-base (>= 1:19.2)
  * Updated Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Mon, 27 Nov 2017 20:11:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: erlang-p1-zlib
 Priority: optional
-Maintainer: Philipp Huebner <debalance@debian.org>
+Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
+Uploaders: Philipp Huebner <debalance@debian.org>
 Build-Depends: debhelper (>= 9), dh-rebar, erlang-base (>= 1:19.2), erlang-crypto, erlang-eunit, erlang-syntax-tools, zlib1g-dev
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Section: libs
 Homepage: https://github.com/processone/ezlib
-Vcs-Git: https://anonscm.debian.org/git/users/debalance/erlang-p1-zlib.git
-Vcs-Browser: https://anonscm.debian.org/git/users/debalance/erlang-p1-zlib.git
+Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-zlib.git
+Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-zlib
 
 Package: erlang-p1-zlib
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-#export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-zlib

## erlang-p1-zlib 1.0.4

=== debian/changelog ===
erlang-p1-zlib (1.0.4-3) unstable; urgency=medium

  * Enabled DH_VERBOSE in debian/rules
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 07 Oct 2018 15:02:12 +0200

erlang-p1-zlib (1.0.4-2) unstable; urgency=medium

  * Added debian/upstream/metadata
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Jul 2018 16:25:17 +0200

erlang-p1-zlib (1.0.4-1) unstable; urgency=medium

  * New upstream version 1.0.4
  * Use secure copyright format uri in debian/copyright
  * Switched to debhelper 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 27 Mar 2018 23:20:24 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-#export DH_VERBOSE=1
+export DH_VERBOSE=1
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk

## erlang-p1-zlib 1.0.6

=== debian/changelog ===
erlang-p1-zlib (1.0.6-2) unstable; urgency=medium

  * Fixed typo in long package description.
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Updated years in debian/copyright
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Wed, 05 Feb 2020 20:19:49 +0100

erlang-p1-zlib (1.0.6-1) unstable; urgency=medium

  * New upstream version 1.0.6
  * Updated Erlang dependencies
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.4.0 (no changes needed)
  * debian/rules: export ERL_COMPILER_OPTIONS=deterministic
  * Updated debhelper compat version: 12

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 13:03:00 +0200

=== debian/control ===
Source: erlang-p1-zlib
Maintainer: Ejabberd Packaging Team <ejabberd@packages.debian.org>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: libs
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-rebar,
               erlang-base (>= 1:19.2),
               erlang-crypto,
               erlang-eunit,
               erlang-syntax-tools,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-zlib
Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-zlib.git
Homepage: https://github.com/processone/ezlib

Package: erlang-p1-zlib
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
         ${erlang:Depends}
Description: erlang interface to zlib
 This library was written for ejabberd which still uses it.
 It was split off into its own project to follow
 Erlang/OTP guidelines.

=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-zlib_$1.tar.gz/" \
  https://github.com/processone/ezlib/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-zlib 1.0.8

=== debian/changelog ===
erlang-p1-zlib (1.0.8-1) unstable; urgency=medium

  * New upstream version 1.0.8

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 22:29:19 +0200

erlang-p1-zlib (1.0.7-1) unstable; urgency=medium

  * New upstream version 1.0.7

 -- Philipp Huebner <debalance@debian.org>  Wed, 18 Mar 2020 13:14:50 +0100

## erlang-p1-zlib 1.0.9

=== Makefile ===
all: src

src:
	rebar compile xref

clean:
	rebar clean

test: all
	rebar -v skip_deps=true eunit

.PHONY: clean src test all

=== debian/changelog ===
erlang-p1-zlib (1.0.9-3) unstable; urgency=medium

  * Corrected Multi-Arch setting to "allowed"

 -- Philipp Huebner <debalance@debian.org>  Sun, 31 Jan 2021 19:38:31 +0100

erlang-p1-zlib (1.0.9-2) unstable; urgency=medium

  * Added 'Multi-Arch: same' in debian/control
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Jan 2021 19:11:14 +0100

erlang-p1-zlib (1.0.9-1) unstable; urgency=medium

  * New upstream version 1.0.9
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated version of debian/watch: 4
  * Updated debhelper compat version: 13
  * Updated lintian overrides
  * Added debian/erlang-p1-zlib.install

 -- Philipp Huebner <debalance@debian.org>  Sat, 26 Dec 2020 00:46:03 +0100

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Section: libs
 Priority: optional
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-rebar,
                erlang-base (>= 1:19.2),
                erlang-crypto,
                erlang-eunit,
                erlang-syntax-tools,
                zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-zlib
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-zlib.git
 Homepage: https://github.com/processone/ezlib
@@ -22,6 +22,7 @@
          ${misc:Depends},
          erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
          ${erlang:Depends}
+Multi-Arch: allowed
 Description: erlang interface to zlib
  This library was written for ejabberd which still uses it.
  It was split off into its own project to follow

=== debian/rules ===
--- 
+++ 
@@ -1,8 +1,8 @@
 #!/usr/bin/make -f
 export DH_VERBOSE=1
-
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 include /usr/share/dpkg/default.mk
+export ERL_COMPILER_OPTIONS=deterministic
 
 DESTDIR=$(CURDIR)/debian/erlang-p1-zlib

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-zlib_$1.tar.gz/" \
  https://github.com/processone/ezlib/releases .*/v?(\d\S*)\.tar\.gz

## erlang-p1-zlib 1.0.10

=== Makefile ===
REBAR ?= rebar

all: src

src:
	$(REBAR) compile

clean:
	$(REBAR) clean

test: all
	$(REBAR) xref
	$(REBAR) eunit

.PHONY: clean src test all

=== debian/changelog ===
erlang-p1-zlib (1.0.10-2) unstable; urgency=medium

  * Updated debian/watch

 -- Philipp Huebner <debalance@debian.org>  Mon, 20 Dec 2021 19:47:00 +0100

erlang-p1-zlib (1.0.10-1) unstable; urgency=medium

  * New upstream version 1.0.10
  * Updated Standards-Version: 4.6.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 22:07:31 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                erlang-eunit,
                erlang-syntax-tools,
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-zlib
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-zlib.git
 Homepage: https://github.com/processone/ezlib

## erlang-p1-zlib 1.0.12

=== debian/changelog ===
erlang-p1-zlib (1.0.12-3) unstable; urgency=medium

  * Dropped debian/erlang-p1-zlib.install, added debian/source/options and
    fixed debian/rules (closes: #1044778)
  * Updated lintian overrides
  * Renamed debian/erlang-p1-zlib.lintian-overrides
    -> debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Tue, 26 Dec 2023 22:53:48 +0100

erlang-p1-zlib (1.0.12-2) unstable; urgency=medium

  * Updated Standards-Version: 4.6.2 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Wed, 08 Feb 2023 20:55:15 +0100

erlang-p1-zlib (1.0.12-1) unstable; urgency=medium

  * New upstream version 1.0.12
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated Erlang dependencies
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Thu, 02 Jun 2022 12:59:06 +0200

=== debian/rules ===
--- 
+++ 
@@ -15,7 +15,6 @@
 	./configure
 	dh_auto_configure
 
-
 override_dh_auto_install:
 	dh_auto_install
 	for file in priv/lib/*.so ; do \
@@ -27,7 +26,6 @@
 		fi ; \
 	done
 
-
 override_dh_auto_clean:
-	rm -f config.log config.status
 	dh_auto_clean
+	rm -rf compile_commands.json config.log config.status vars.config

## erlang-p1-zlib 1.0.13

=== Makefile ===
--- 
+++ 
@@ -3,6 +3,7 @@
 all: src
 
 src:
+	$(REBAR) get-deps
 	$(REBAR) compile
 
 clean:

=== debian/changelog ===
erlang-p1-zlib (1.0.13-2) unstable; urgency=medium

  * Updated Standards-Version: 4.7.0 (no changes needed)
  * Updated years in debian/copyright
  * debian/rules: add creation of symbolic link for native app name

 -- Philipp Huebner <debalance@debian.org>  Sun, 09 Feb 2025 11:23:10 +0100

erlang-p1-zlib (1.0.13-1) unstable; urgency=medium

  * New upstream version 1.0.13
  * Updated Erlang dependencies

 -- Philipp Huebner <debalance@debian.org>  Thu, 03 Oct 2024 21:31:54 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,14 @@
 Priority: optional
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
-               dh-rebar,
-               erlang-base (>= 1:19.2),
+               dh-rebar (>= 0.0.6),
+               erlang-base,
                erlang-crypto,
                erlang-eunit,
+               erlang-p1-utils (>= 1.0.26),
                erlang-syntax-tools,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-zlib
 Vcs-Git: https://salsa.debian.org/ejabberd-packaging-team/erlang-p1-zlib.git
 Homepage: https://github.com/processone/ezlib
@@ -20,8 +21,10 @@
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         erlang-base (>= 1:19.2) | ${erlang-abi:Depends},
-         ${erlang:Depends}
+         erlang-base,
+         ${erlang-abi:Depends},
+         ${erlang:Depends},
+         erlang-p1-utils (>= 1.0.26)
 Multi-Arch: allowed
 Description: erlang interface to zlib
  This library was written for ejabberd which still uses it.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 			install -m 644 $${file} $(DESTDIR)/usr/lib/erlang/lib/p1_zlib-$(DEB_VERSION_UPSTREAM)/$${subdir} ; \
 		fi ; \
 	done
+	ln -s /usr/lib/erlang/lib/p1_zlib-$(DEB_VERSION_UPSTREAM) $(DESTDIR)/usr/lib/erlang/lib/ezlib-$(DEB_VERSION_UPSTREAM)
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/watch ===
version=4
opts="filenamemangle=s/.*\/v?(\d\S*)\.tar\.gz/erlang-p1-zlib_$1.tar.gz/" \
  https://github.com/processone/ezlib/tags .*/v?(\d\S*)\.tar\.gz

## erlang-p1-zlib 1.0.15

=== debian/changelog ===
erlang-p1-zlib (1.0.15-1) unstable; urgency=medium

  * Team upload.
  * Update d/watch to version 5.
  * New upstream version.

 -- Dominik George <natureshadow@debian.org>  Wed, 11 Feb 2026 20:56:57 +0000

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                erlang-base,
                erlang-crypto,
                erlang-eunit,
-               erlang-p1-utils (>= 1.0.26),
+               erlang-p1-utils (>= 1.0.28),
                erlang-syntax-tools,
                zlib1g-dev
 Standards-Version: 4.7.0

=== debian/watch ===
Version: 5
Template: GitHub
Dist: https://github.com/processone/ezlib
